<script setup lang="ts">
const fixBtn = {
  add: false,
  edit: true,
  delete: true
}

const tableHeaders = reactive([
  { title: '等級代號' },
  { title: '等級簡稱' },
  { title: '等級名稱' },
  { title: '等級說明' }
])

const tableData = reactive([
  {
    levelCode: 'syscode01',
    levelAbbreviation: 'S',
    levelName: '最高級',
    levelDescription: '高用量, 高忠誠度, 高配合度'
  },
  {
    levelCode: 'syscode02',
    levelAbbreviation: 'A',
    levelName: '高級',
    levelDescription: '高用量, 中忠誠度, 中配合度	'
  },
  {
    levelCode: 'syscode03',
    levelAbbreviation: 'B',
    levelName: '中級',
    levelDescription: '中用量, 中忠誠度, 中配合度'
  },
  {
    levelCode: 'syscode04',
    levelAbbreviation: 'C',
    levelName: '一般級',
    levelDescription: '低用量, 低忠誠度, 低配合度'
  }
])
const showData = tableData

const onEdit = (val: any) => {
  console.log('parent edit', val)
}

const onDelete = (val: any) => {
  console.log('parent delete', val)
}
</script>

<template>
  <main class="container-fluid">
    <header>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="font-zh-small-regular breadcrumb-item">
            <a href="#">基本資料</a>
          </li>
          <li
            aria-current="page"
            class="font-zh-small-regular breadcrumb-item active"
          >
            客戶等級
          </li>
        </ol>
      </nav>
      <div class="d-flex justify-content-end w-100">
        <img
          alt="header-illustration"
          class="header-illustration"
          src="@/assets/images/header-illustration.svg"
        />
      </div>
      <div class="function-group">
        <div class="display-info">
          <h3 class="font-zh-h3">客戶等級列表</h3>
          <div class="interact-button-list d-flex">
            <button
              class="btn btn-middle-gray-200 font-zh-button d-flex justify-content-center align-items-center"
              type="button"
            >
              <p>新增</p>
              <div class="icon-create"></div>
            </button>
          </div>
        </div>
      </div>
    </header>
    <div>
      <basic-table
        :fix-btn="fixBtn"
        :table-data="showData"
        :table-headers="tableHeaders"
        @delete="onDelete"
        @edit="onEdit"
      />
    </div>
  </main>
</template>

<style lang="scss" scoped>
/** style */
</style>
